Subject: Re: llvm: fails to build on aarch64

From: Roman Riabenko <[email-masked]>
Date: Tue, 18 Feb 2025 19:55:45 +0200

On Sun, 9 Feb 2025 10:56:24 +0200
Roman Riabenko <[email-masked]> wrote:

> When running guix as a package manager on another distribution (Pure OS
> Byzantium) under aarch64, llvm fails to build. Please refer to the
> attached build log.

I have re-ran the build and was able to reproduce the failure. But:

1. I noticed that dmesg reports oom-kill of llvm-tbgen at the same time.
2. The llvm substitute is now available from the servers.

So, this is not an issue with guix or with the package. I am closing it.

$ guix describe
Generation 97	13 лют 2025 15:04:31	(current)
  guix 2e72561
    repository URL: https://git.savannah.gnu.org/git/guix.git
    вітка: master
    коміт: 2e72561e788a0bb37ffe887d546a394b70b8c212

Roman